Subject: bimodules in a biclosed category

From: categories <[email-masked]>
Date: Tue, 16 Jan 1996 14:05:43 -0400 (AST)

Date: Tue, 16 Jan 1996 08:11:29 -0500
From: Michael Barr <[email-masked]>

Has anyone proved that if you take an "algebra" (actually monoid) object
in a monoidal biclosed category that has equalizers and coequalizers,
then the category of two-sided modules for that algebra is again a
monoidal biclosed category.  Mac Lane did this in 1965 when everything
is symmetric (the tensor, the algebra and the modules) under the (surely
irrelevant) assumption that the original category is also abelian.  The
fact is certainly true, but writing down the proof would be rather
painful.
 
Michael Barr

---

From: categories <[email-masked]>
Date: Wed, 17 Jan 1996 10:13:50 -0400 (AST)

Date: Wed, 17 Jan 1996 10:42:32 +0100 (MET)
From: [email-masked]

Hello,

Regarding Michael Barr's question: I have this result for bi-closed
bicategories, and actually talked about it in Halifax last year.
Als Micheal rightly suspects, some of the proofs get tedious, and
designing the relevant diagrams is something else, even using xy-pic!
I hope that the paper will be finished by March.

Best regards,

-- J"urgen Koslowski
   Institut f"ur theoretische Informatik
   TU Braunschweig
   Braunschweig, Germany

---

From: categories <[email-masked]>
Date: Wed, 17 Jan 1996 10:13:59 -0400 (AST)

Date: Wed, 17 Jan 1996 12:22:32 +0000
From: Steve Vickers <[email-masked]>

>fact is certainly true, but writing down the proof would be rather

The question made me think - as perhaps it was meant to - of modules over
non-commutative rings, and I wondered whether its scope was unnecessarily
restricted in considering just 2-sided modules over a single algebra. We
also know that there can be a rich and well-behaved structure for bimodules
over two algebras:

   (A,B)-bimod tensor (B,C)-bimod is (A,C)-bimod
                 B

   (A,B)-bimod  hom (A,C)-bimod is (B,C)-bimod
               A

   (A,B)-bimod hom  (C,B)-bimod is (C,A)-bimod
                  B

Does anyone know how to state the question to cover this more general
context? But then what works for algebras ought also to work for
algebroids, i.e. enriched categories.

Steve Vickers.

---

From: categories <[email-masked]>
Date: Wed, 17 Jan 1996 11:13:34 -0400 (AST)

Date: Wed, 17 Jan 1996 10:00:03 -0500
From: Michael Barr <[email-masked]>
- 
- Date: Wed, 17 Jan 1996 12:22:32 +0000
- From: Steve Vickers <[email-masked]>
- 
- >Has anyone proved that if you take an "algebra" (actually monoid) object
- >in a monoidal biclosed category that has equalizers and coequalizers,
- >then the category of two-sided modules for that algebra is again a
- >monoidal biclosed category.  Mac Lane did this in 1965 when everything
- >is symmetric (the tensor, the algebra and the modules) under the (surely
- >irrelevant) assumption that the original category is also abelian.  The
- >fact is certainly true, but writing down the proof would be rather
- >painful.
- 
- The question made me think - as perhaps it was meant to - of modules over
- non-commutative rings, and I wondered whether its scope was unnecessarily
- restricted in considering just 2-sided modules over a single algebra. We
- also know that there can be a rich and well-behaved structure for bimodules
- over two algebras:
- 
-    (A,B)-bimod tensor (B,C)-bimod is (A,C)-bimod
-                  B
- 
-    (A,B)-bimod  hom (A,C)-bimod is (B,C)-bimod
-                A
- 
-    (A,B)-bimod hom  (C,B)-bimod is (C,A)-bimod
-                   B
- 
- Does anyone know how to state the question to cover this more general
- context? But then what works for algebras ought also to work for
- algebroids, i.e. enriched categories.
- 
- Steve Vickers.
- 
- 
- 
- 
Actually, if the ground tensor is not symmetric, you cannot even
define the notion of (A,B) bimodule.  You can define that of left A,
right B bimodule and that seems to be that.  Perhaps that is what
Steve means when he says (A,B) bimodule.  In that case, he is, of
course, correct.  In fact, in writing this up, I find it less
confusing to do the more general situation exactly as described.
But I would rather not have to write it up if someone has already
done it as it is rather unpleasant.

Michael